.btn {

    border: none;

    outline: none;

    cursor: pointer;

    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    padding: 14px 22px;

    border-radius: 999px;

    transition: var(--transition);

    font-weight: 600;

    text-decoration: none;
}

.btn-primary {

    background: white;

    color: black;
}

.btn-primary:hover {

    transform: translateY(-2px);

    background: #dddddd;
}

.btn-secondary {

    background:
        rgba(255,255,255,0.08);

    color: white;

    border:
        1px solid var(--border);
}

.btn-secondary:hover {

    background:
        rgba(255,255,255,0.14);
}

.btn-block {

    width: 100%;
}